<mat-toolbar >
    <span >
      <span class="spacing-extended">
        <mat-icon >dashboard</mat-icon> Dashboard 
    </span>
            

            <button mat-button mat-raised-button (click)="refresh()">
                <mat-icon>refresh</mat-icon>
            </button>
    </span>
</mat-toolbar>
    <mat-card >
      <ng-template *ngIf=" stats !== undefined ; then content else spinner"></ng-template>
      <ng-template #content>
        <mat-grid-list [cols]="breakpoint" [rowHeight]="rowRelation" (window:resize)="onResize($event)">
          <mat-grid-tile>
            <stat-component
              cardTitle="Usuarios Activos"
              cardSubtitle="Usuarios con inscripción vigente"
              contentText="En el sistema existen {{stats?.activeUsersCount}} usuarios vigentes, de un total de {{stats?.usersCount}} usuarios"
              [spinnerValue]="getActiveUsersSpinnerValue()"
              ></stat-component>
          </mat-grid-tile>
          <mat-grid-tile><stat-component
            cardTitle="Asistencia"
            cardSubtitle="Usuarios asistentes esta semana"
            [contentText]="getWeekUsersText()"
            [spinnerValue]="getWeekUsersSpinnerValue()"
            ></stat-component>
          </mat-grid-tile>
          <mat-grid-tile></mat-grid-tile>
          <mat-grid-tile></mat-grid-tile>
        </mat-grid-list>
      </ng-template>
      <ng-template #spinner>
        <mat-progress-spinner
              class="example-margin"
              color="primary"
              mode="indeterminate"
              diameter="500">
            </mat-progress-spinner>
      </ng-template>
    </mat-card>    

